module Ball(
	input clkSpeed,
	input clkMove,
	input playing,
	input [2:0]padA,
	input [2:0]padB,
	output reg [2:0]ballX,
	output reg [2:0]ballY);

	integer speedX;
	integer speedY;
	
	always @(posedge clkSpeed)
	begin
		if (playing == 0)
		begin
			speedX <= 1;
			speedY <= 1;
		end
		else
		begin
			if((ballY + speedY) == 0)
			begin
				if (ballX == (padA - 1))
				begin
					speedX <= -1;
					speedY <= speedY * (-1);
				end
				else if (ballX == (padA))
				begin
					speedY <= speedY * (-1);
				end
				else if (ballX == (padA + 1))
				begin
					speedX <= 1;
					speedY <= speedY * (-1);
				end
			end
			else if((ballY + speedY) == 7)
			begin
				if (ballX == (padB - 1))
				begin
					speedX <= -1;
					speedY <= speedY * (-1);
				end
				else if (ballX == (padB))
				begin
					speedY <= speedY * (-1);
				end
				else if (ballX == (padB + 1))
				begin
					speedX <= 1;
					speedY <= speedY * (-1);
				end
			end
			
			fork
				if ((ballX + speedX) > 7 || (ballX + speedX) < 0)
				begin
					speedX <= speedX * (-1);
				end
				
				if ((ballY + speedY) > 7 || (ballY + speedY) < 0)
				begin
					speedY <= speedY * (-1);
				end
			join
		end
	end
	
	always @(posedge clkMove)
	begin
		if (playing == 0)
		begin
			ballX <= 4;
			ballY <= 3;
		end
		else
		begin
			ballX <= ballX + speedX;
			ballY <= ballY + speedY;
		end
	end
endmodule